/****** Buttons *****/

.section-button {
    border-radius: 10%;
    background-color: #DDDDDD;

    position: fixed;
    bottom: 40px;

    cursor: pointer;

    width: 56px;
    height: 56px;
}

.section-button.prev-button {
    --arrow-position: 32%;
    left: clamp(40px, calc(var(--arrow-position) - 500px), 50%);
}

.section-button.next-button {
    --arrow-position: 60%;
    right: clamp(40px, calc(var(--arrow-position) - 500px), 50%);
}

.section-button svg {
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/*** Progress-Bar **/

.progress-bar {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;

    position: sticky;
    top: 0;
    z-index: 120;

    border-bottom: 1px solid #dddddd;
}

[class^=progress-bar-state] {
    align-items: center;
    background-color: var(--bg-color);
    bottom: 0;
    display: flex;
    flex-direction: row;
    height: 10px;
    width: 100%;
}

/**** Bar Colors ***/
.started {
    background-color: var(--secondary-color);
}

.ended {
    background-color: var(--secondary-color);
}

/**** responsive ****/

@media screen and (max-width: 1500px) {
    .section-button.prev-button {
        left: clamp(40px, calc(50% - 500px), 50%);
    }

    .section-button.next-button {
        right: clamp(40px, calc(50% - 500px), 50%);
    }
}

/**** loading screen ****/

#loading-screen {
    position: absolute;
    left: 0;
    top: auto;
    width: 100vw;
    height: 100vh;
    margin: auto;
    text-align: center;

    background-color: white;
    z-index: 9999;
    display: flex;
}

#loading-screen-middle {
    margin: auto;
}

#loading-icon {
    animation: l3 1s infinite linear;
}
@keyframes l3 {
    to {
        transform: rotate(1turn)
    }
}
